<?php
/*
 Plugin Name: WP U POP
 Plugin URI: http://WPUPOP.com
 Description: WP U POP is an powerful magnet that will draw the attenton of your sites visitors
 Version: 0.1
*/
load_plugin_textdomain('wp_u_pop',false,basename(dirname(__FILE__)).'/languages');
if(!class_exists('wpupop')){
	class wpupop{
		public $wp_u_pop_table;
		function __construct(){
			global $wpdb;
			add_action('admin_menu',array($this,'wpupopCreateMenu'));
			$this->wp_u_pop_table=$wpdb->prefix.'wp_u_pop';
			add_action('admin_enqueue_scripts', array($this,'wpupopAdminCss'));
			add_action('init',array($this,'wpupopPostingData'));
			add_action('wp_enqueue_scripts',array($this,'customjs'));
			add_shortcode('wp_u_pop',array($this,'wpupopShortCode'));
			//add_action('wp_head',array($this,'findshortcode'));
		}
		function wpupopRegex() {
			$tagregexp = 'wp_u_pop';
			return '\\['
			. '(\\[?)'
			. "($tagregexp)"
					. '(?![\\w-])'
					. '('
					.     '[^\\]\\/]*'
					.     '(?:'
							.         '\\/(?!\\])'
							.         '[^\\]\\/]*'
							.     ')*?'
					. ')'
					. '(?:'
					.     '(\\/)'
					.     '\\]'
					. '|'
					.     '\\]'
					.     '(?:'
							.         '('
									.             '[^\\[]*+'
					.             '(?:'
							.                 '\\[(?!\\/\\2\\])'
							.                 '[^\\[]*+'
					.             ')*+'
									.         ')'
									.         '\\[\\/\\2\\]'
			.     ')?'
			. ')'
			. '(\\]?)';
		}
		function findshortcode(){
			global $post,$wpdb;
			$pattern = $this->wpupopRegex();
			preg_match_all( "/$pattern/s", $post->post_content, $matches);
			if(isset($matches[0]) and count($matches[0])){
				foreach ($matches[0] as $code){
					preg_match_all( "/$pattern/s", $code, $m);
					$atts = shortcode_parse_atts($m[3][0]);
					if(count($atts)){
						$popupID=$atts['id'];
						$popupData=$wpdb->get_row("SELECT * FROM ".$this->wp_u_pop_table." WHERE popup_active=1 AND id=".$popupID);
						if(($post->post_type=='post' || $post->post_type=='page') && ($popupData->active_for_posts==1 || $popupData->active_for_pages==1) && $popupData->active_the_plugin==1){
							if($wpdb->num_rows>0){
								$popupwidth=0;
								$popupheight=0;
								$popuphtml="";
								if($popupData->vertical_align!=""){
									$vertical_align=$popupData->vertical_align;
								}else{
									$vertical_align='bottom';
								}

								if($popupData->horizontal_align!=""){
									$horizontal_align=$popupData->horizontal_align;
								}else{
									$horizontal_align='right';
								}
								if($popupData->popup_size=='large'){
									$popupwidth=480;
									$popupheight=410;
								}else if($popupData->popup_size=='small'){
									$popupwidth=240;
									$popupheight=230;
								}else if($popupData->popup_size=='medium'){
									$popupwidth=360;
									$popupheight=320;
								}else{
									$popupwidth=$popupData->notify_popup_size_w;
									$popupheight=$popupData->notify_popup_size_h;
								}

								$activate_no_close_message=$popupData->activate_no_close_message;
								$facebook_like=$popupData->facebook_like;
								$share_on_twitter=$popupData->share_on_twitter;
								if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$popupData->share_on_pinterest)){
									$share_on_pinterest=WP_CONTENT_URL.'/wp_u_pop/'.$popupData->share_on_pinterest;
								}else{
									$share_on_pinterest;
								}


								$popuphtml.='<style type="text/css">';
								if($popupData->notify_popup_color!=""){
									$popuphtml.='.popup-main{border:1px solid '.$popupData->notify_popup_color.';background:'.$popupData->notify_popup_color.';}';
									$popuphtml.='.popup-main-social{border:1px solid '.$popupData->notify_popup_color.';background:'.$popupData->notify_popup_color.';}';
								}
								$popuphtml.='.popup-main{width:'.$popupwidth.'px;}';
								$popuphtml.='.popup-main{height:'.$popupheight.'px;}';
								$popuphtml.='.popup-main-social{width:'.$popupwidth.'px;}';
								$popuphtml.='.popup-main-social{height:'.$popupheight.'px;}';
								$popuphtml.='</style>';
								$popuphtml.="\n".'<script type="text/javascript">
									var activate_no_close_message="'.$activate_no_close_message.'";
									var facebook_like="'.$facebook_like.'";
									var share_on_twitter="'.$share_on_twitter.'";
									var share_on_pinterest="'.$share_on_pinterest.'";
									var popupwidth="'.$popupwidth.'";
									var popupheight="'.$popupheight.'";
									var vertical_align="'.$vertical_align.'";
									var horizontal_align="'.$horizontal_align.'";
									var custom_message="'.nl2br($popupData->custom_message).'";
									var currenturl="'.get_permalink($post->ID).'";
									var facebook_app_id="'.get_option('facebook_app_id').'";
									</script>'."\n";
								if($popupData->timed_popup_active==1){
									$timetoload=0;
									$seconds=0;
									$minute=0;
									if($popupData->timed_popup_second!=0){
										$seconds=($popupData->timed_popup_second*1000);
									}
									if($popupData->timed_popup_minute!=0){
										$minute=(($popupData->timed_popup_minute*60)*1000);
									}
									$miliseconds=$seconds+$minute;
									if($miliseconds==0){
										$miliseconds=500;
									}

									$popuphtml.="\n".'<script type="text/javascript">
										setTimeout(function(){timedPopup('.$popupwidth.','.$popupheight.',"'.$vertical_align.'","'.$horizontal_align.'");},'.$miliseconds.');
									</script>'."\n";
									echo $popuphtml;
								}else if($popupData->on_action_popup==1){
									$popuphtml.="\n".'<script type="text/javascript">
										var wpuPopupCloseMessage="'.$popupData->onclose_popup_message.'";
										OnActionPopup('.$popupwidth.','.$popupheight.',"'.$vertical_align.'","'.$horizontal_align.'");
									</script>'."\n";
									echo $popuphtml;
								}



								/*wp_localize_script('popupjs','popupjsObject',array('activate_no_close_message'=>$activate_no_close_message,'facebook_like'=>$facebook_like,'share_on_twitter'=>$share_on_twitter,'share_on_pinterest'=>$share_on_pinterest,'popupwidth'=>$popupwidth,'popupheight'=>$popupheight,'vertical_align'=>$vertical_align,'horizontal_align'=>$horizontal_align,'custom_message'=>nl2br($popupData->custom_message),'currenturl'=>get_permalink($post->ID),'facebook_app_id'=>get_option('facebook_app_id')));*/
							}
						}
					}
				}
			}
		}
		function customjs(){
			wp_enqueue_style('popupcss',plugins_url(basename(dirname(__FILE__)).'/popup.css'));
			wp_enqueue_script('popupjs',plugins_url(basename(dirname(__FILE__)).'/js/popup.js'),array('jquery'));
			//wp_enqueue_script('pinterestjs','//assets.pinterest.com/js/pinit.js',array('jquery'));
		}
		function wpupopShortCode($atts){
			ob_start();
			$code=$this->InstanPopupLiteDisplayShortCode($atts);
			$content = ob_get_contents();
			ob_end_clean();
			return $code;
		}
		function InstanPopupLiteDisplayShortCode($atts){
			global $wpdb,$post;
			if(count($atts)){
				$popupID=$atts['id'];
				$popupData=$wpdb->get_row("SELECT * FROM ".$this->wp_u_pop_table." WHERE popup_active=1 AND id=".$popupID);
				if(($post->post_type=='post' || $post->post_type=='page') && ($popupData->active_for_posts==1 || $popupData->active_for_pages==1) && $popupData->active_the_plugin==1){
					if($wpdb->num_rows>0){
						$popupwidth=0;
						$popupheight=0;
						$popuphtml="";
						if($popupData->vertical_align!=""){
							$vertical_align=$popupData->vertical_align;
						}else{
							$vertical_align='bottom';
						}

						if($popupData->horizontal_align!=""){
							$horizontal_align=$popupData->horizontal_align;
						}else{
							$horizontal_align='right';
						}
						if($popupData->popup_size=='large'){
							$popupwidth=480;
							$popupheight=410;
						}else if($popupData->popup_size=='small'){
							$popupwidth=240;
							$popupheight=230;
						}else if($popupData->popup_size=='medium'){
							$popupwidth=360;
							$popupheight=320;
						}else{
							$popupwidth=$popupData->notify_popup_size_w;
							$popupheight=$popupData->notify_popup_size_h;
						}

						$activate_no_close_message=$popupData->activate_no_close_message;
						$facebook_like=$popupData->facebook_like;
						$share_on_twitter=$popupData->share_on_twitter;
						if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$popupData->share_on_pinterest)){
							$share_on_pinterest=WP_CONTENT_URL.'/wp_u_pop/'.$popupData->share_on_pinterest;
						}else{
							$share_on_pinterest;
						}


						$popuphtml.='<style type="text/css">';
						if($popupData->notify_popup_color!=""){
							$popuphtml.='.popup-main{border:1px solid '.$popupData->notify_popup_color.';background:'.$popupData->notify_popup_color.';}';
							$popuphtml.='.popup-main-social{border:1px solid '.$popupData->notify_popup_color.';background:'.$popupData->notify_popup_color.';}';
						}
						$popuphtml.='.popup-main{width:'.$popupwidth.'px;}';
						$popuphtml.='.popup-main{height:'.$popupheight.'px;}';
						$popuphtml.='.popup-main-social{width:'.$popupwidth.'px;}';
						$popuphtml.='.popup-main-social{height:'.$popupheight.'px;}';
						$popuphtml.='</style>';
						$popuphtml.="\n".'<script type="text/javascript">
							var activate_no_close_message="'.$activate_no_close_message.'";
							var facebook_like="'.$facebook_like.'";
							var share_on_twitter="'.$share_on_twitter.'";
							var share_on_pinterest="'.$share_on_pinterest.'";
							var popupwidth="'.$popupwidth.'";
							var popupheight="'.$popupheight.'";
							var vertical_align="'.$vertical_align.'";
							var horizontal_align="'.$horizontal_align.'";
							var custom_message="'.nl2br($popupData->custom_message).'";
							var currenturl="'.get_permalink($post->ID).'";
							var facebook_app_id="'.get_option('facebook_app_id').'";
							</script>'."\n";
						if($popupData->timed_popup_active==1){
							$timetoload=0;
							$seconds=0;
							$minute=0;
							if($popupData->timed_popup_second!=0){
								$seconds=($popupData->timed_popup_second*1000);
							}
							if($popupData->timed_popup_minute!=0){
								$minute=(($popupData->timed_popup_minute*60)*1000);
							}
							$miliseconds=$seconds+$minute;
							if($miliseconds==0){
								$miliseconds=500;
							}

							$popuphtml.="\n".'<script type="text/javascript">
								setTimeout(function(){timedPopup('.$popupwidth.','.$popupheight.',"'.$vertical_align.'","'.$horizontal_align.'");},'.$miliseconds.');
							</script>'."\n";
							//echo $popuphtml;
						}else if($popupData->on_action_popup==1){
							$popuphtml.="\n".'<script type="text/javascript">
								var wpuPopupCloseMessage="'.$popupData->onclose_popup_message.'";
								OnActionPopup('.$popupwidth.','.$popupheight.',"'.$vertical_align.'","'.$horizontal_align.'");
							</script>'."\n";
							//echo $popuphtml;
						}



						/*wp_localize_script('popupjs','popupjsObject',array('activate_no_close_message'=>$activate_no_close_message,'facebook_like'=>$facebook_like,'share_on_twitter'=>$share_on_twitter,'share_on_pinterest'=>$share_on_pinterest,'popupwidth'=>$popupwidth,'popupheight'=>$popupheight,'vertical_align'=>$vertical_align,'horizontal_align'=>$horizontal_align,'custom_message'=>nl2br($popupData->custom_message),'currenturl'=>get_permalink($post->ID),'facebook_app_id'=>get_option('facebook_app_id')));*/
					}
				}
			}
			if(count($atts)>0){
				$popupID=$atts['id'];
				$popupData=$wpdb->get_row("SELECT * FROM ".$this->wp_u_pop_table." WHERE popup_active=1 AND id=".$popupID);
				if(($post->post_type=='post' || $post->post_type=='page') && ($popupData->active_for_posts==1 || $popupData->active_for_pages==1) && $popupData->active_the_plugin==1){
					if($wpdb->num_rows>0){
						//$popuphtml="";
						$popuphtml.='<div id="fb-root"></div><div class="popup-main" id="popup-main">';
							$popuphtml.='<div class="close"></div>';
							$popuphtml.='<div class="popup-user-image">';
							if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$popupData->notify_popup_user_image)){
								$popuphtml.='<img src="'.WP_CONTENT_URL.'/wp_u_pop/'.$popupData->notify_popup_user_image.'" width="28" height="28">';
							}
							$popuphtml.='</div>';
							$popuphtml.='<div class="popup-text">';
								$popuphtml.='<h1><span>'.$popupData->notify_popup_commented_by.'</span> commented</h1>';
								$popuphtml.='<div class="inner-text">'.stripslashes($popupData->notify_popup_text).'</div>';
								$popuphtml.='<div class="icon-main">';
									$popuphtml.='<div class="icon">';
									if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$popupData->notify_popup_icon)){
										$popuphtml.='<img width="16" height="16" src="'.WP_CONTENT_URL.'/wp_u_pop/'.$popupData->notify_popup_icon.'">';
									}
									$popuphtml.='</div>';
									$popuphtml.='<div class="icon-text">a few seconds ago</div>';
								$popuphtml.='</div>';
							$popuphtml.='</div>';
						$popuphtml.='</div>';
						$popuphtml.='<div class="backgroungmain"></div>';
						return $popuphtml;
					}
				}
			}
		}
		function wpupopPostingData(){
			global $wpdb;
			if(isset($_POST['save_popup_setting']) && $_POST['save_popup_setting']=='Save'){
				$this->wpupopSaveSettings($_POST, 'add');
				set_transient('popup_message', 'Your settings save successfully.',60);
				wp_redirect('admin.php?page=wp-u-pop');
				exit;
			}
			if(isset($_POST['save_popup_setting']) && $_POST['save_popup_setting']=='Update'){
				$this->wpupopSaveSettings($_POST, 'edit');
				set_transient('popup_message', 'Your settings save successfully.',60);
				wp_redirect('admin.php?page=wp-u-pop');
				exit;
			}
			if(isset($_REQUEST['action']) && $_REQUEST['action']=='popupstop' && intval($_REQUEST['id'])){
				$popdata=$wpdb->get_row("SELECT * FROM ".$this->wp_u_pop_table." WHERE id='".$_REQUEST['id']."' AND popup_active=1");
				if($wpdb->num_rows>0){
					$wpdb->update($this->wp_u_pop_table, array('popup_active'=>0),array('id'=>$_REQUEST['id']));
				}
				set_transient('popup_message', 'Your Popup Stop.',60);
				wp_redirect('admin.php?page=wp-u-pop');
				exit;
			}
			if(isset($_REQUEST['action']) && $_REQUEST['action']=='popupstart' && intval($_REQUEST['id'])){
				$popdata=$wpdb->get_row("SELECT * FROM ".$this->wp_u_pop_table." WHERE id='".$_REQUEST['id']."' AND popup_active=0");
				if($wpdb->num_rows>0){
					$wpdb->update($this->wp_u_pop_table, array('popup_active'=>1),array('id'=>$_REQUEST['id']));
				}
				set_transient('popup_message', 'Your Popup Start.',60);
				wp_redirect('admin.php?page=wp-u-pop');
				exit;
			}
			if(isset($_REQUEST['action']) && $_REQUEST['action']=='deletepopup' && intval($_REQUEST['id'])){
				$popdata=$wpdb->get_row("SELECT * FROM ".$this->wp_u_pop_table." WHERE id=".$_REQUEST['id']);
				if($wpdb->num_rows>0){
					if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$popdata->notify_popup_icon) && $popdata->notify_popup_icon!=""){
						@unlink(WP_CONTENT_DIR.'/wp_u_pop/'.$popdata->notify_popup_icon);
					}
					if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$popdata->notify_popup_user_image) && $popdata->notify_popup_user_image!=""){
						@unlink(WP_CONTENT_DIR.'/wp_u_pop/'.$popdata->notify_popup_user_image);
					}
					if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$popdata->share_on_pinterest) && $popdata->share_on_pinterest!=""){
						@unlink(WP_CONTENT_DIR.'/wp_u_pop/'.$popdata->share_on_pinterest);
					}

					$wpdb->delete($this->wp_u_pop_table, array('id'=>$_REQUEST['id']));
				}
				set_transient('popup_message', 'Your Popup delete successfully.',60);
				wp_redirect('admin.php?page=wp-u-pop');
				exit;
			}
		}
		function wpupopSaveSettings($data,$action){
			global $wpdb;
			switch ($action){
				case 'add':
					$popupData=array();
					$popupData['active_the_plugin']=isset($data['active_the_plugin'])?$data['active_the_plugin']:0;
					$popupData['active_for_posts']=isset($data['active_for_posts'])?$data['active_for_posts']:0;
					$popupData['active_for_pages']=isset($data['active_for_pages'])?$data['active_for_pages']:0;
					$popupData['timed_popup_second']=$data['timed_popup_second'];
					$popupData['timed_popup_minute']=$data['timed_popup_minute'];
					$popupData['vertical_align']=isset($data['vertical_align'])?$data['vertical_align']:'bottom';
					$popupData['horizontal_align']=isset($data['horizontal_align'])?$data['horizontal_align']:'right';

					if(isset($data['timed_popup_active']) && $data['timed_popup_active']=='timed_popup_active'){
						$popupData['timed_popup_active']=1;
						$popupData['on_action_popup']=0;
					}
					else if(isset($data['timed_popup_active']) && $data['timed_popup_active']=='on_action_popup'){
						$popupData['timed_popup_active']=0;
						$popupData['on_action_popup']=1;
					}
					$popupData['notify_popup_name']=$data['notify_popup_name'];
					$popupData['notify_popup_color']=$data['notify_popup_color'];
					$popupData['notify_popup_size_w']=$data['notify_popup_size_w'];
					$popupData['notify_popup_size_h']=$data['notify_popup_size_h'];

					if(isset($_FILES['notify_popup_icon']['name']) && $_FILES['notify_popup_icon']['name']!=""){
						$filext=end(explode('.', $_FILES['notify_popup_icon']['name']));
						$filename=time().'_icon.'.$filext;
						if(move_uploaded_file($_FILES['notify_popup_icon']['tmp_name'], WP_CONTENT_DIR.'/wp_u_pop/'.$filename)){
							$popupData['notify_popup_icon']=$filename;
						}
					}

					if(isset($_FILES['notify_popup_user_image']['name']) && $_FILES['notify_popup_user_image']['name']!=""){
						$filext=end(explode('.', $_FILES['notify_popup_user_image']['name']));
						$filename=time().'_user_image.'.$filext;
						if(move_uploaded_file($_FILES['notify_popup_user_image']['tmp_name'], WP_CONTENT_DIR.'/wp_u_pop/'.$filename)){
							$popupData['notify_popup_user_image']=$filename;
						}
					}
					if(isset($_FILES['share_on_pinterest']['name']) && $_FILES['share_on_pinterest']['name']!=""){
						$filext=end(explode('.', $_FILES['share_on_pinterest']['name']));
						$filename=time().'_pinterest.'.$filext;
						if(move_uploaded_file($_FILES['share_on_pinterest']['tmp_name'], WP_CONTENT_DIR.'/wp_u_pop/'.$filename)){
							$popupData['share_on_pinterest']=$filename;
						}
					}
					$popupData['onclose_popup_message']=$data['onclose_popup_message'];
					$popupData['custom_message']=$data['custom_message'];
					$popupData['activate_no_close_message']=(isset($data['activate_no_close_message'])?$data['activate_no_close_message']:0);
					$popupData['facebook_like']=(isset($data['facebook_like'])?$data['facebook_like']:0);
					$popupData['share_on_twitter']=$data['share_on_twitter'];
					$popupData['notify_popup_commented_by']=$data['notify_popup_commented_by'];
					$popupData['notify_popup_text']=$data['notify_popup_text'];
					$popupData['popup_active']=1;
					$popupData['created_date']=date('Y-m-d H:i:s');
					$popupData['popup_size']=$data['popup_size'];
					$wpdb->insert($this->wp_u_pop_table, $popupData);
					$insertid=$wpdb->insert_id;
					if($insertid){
						$shortcode=array();
						$shortcode['popup_shortcode']='[wp_u_pop id="'.$insertid.'"]';
						$wpdb->update($this->wp_u_pop_table, $shortcode, array('id'=>$insertid));
					}
					update_option('facebook_app_id',$data['facebook_app_id']);
				break;
				case 'edit':
					if(isset($data['editid']) && intval($data['editid'])){
						$rowData=$wpdb->get_row("SELECT * FROM ".$this->wp_u_pop_table." WHERE id=".$data['editid']);
						$popupData=array();
						$popupData['active_the_plugin']=isset($data['active_the_plugin'])?$data['active_the_plugin']:0;
						$popupData['active_for_posts']=isset($data['active_for_posts'])?$data['active_for_posts']:0;
						$popupData['active_for_pages']=isset($data['active_for_pages'])?$data['active_for_pages']:0;
						$popupData['timed_popup_second']=$data['timed_popup_second'];
						$popupData['timed_popup_minute']=$data['timed_popup_minute'];
						$popupData['vertical_align']=isset($data['vertical_align'])?$data['vertical_align']:'bottom';
						$popupData['horizontal_align']=isset($data['horizontal_align'])?$data['horizontal_align']:'right';

						if(isset($data['timed_popup_active']) && $data['timed_popup_active']=='timed_popup_active'){
							$popupData['timed_popup_active']=1;
							$popupData['on_action_popup']=0;
						}
						else if(isset($data['timed_popup_active']) && $data['timed_popup_active']=='on_action_popup'){
							$popupData['timed_popup_active']=0;
							$popupData['on_action_popup']=1;
						}

						$popupData['notify_popup_name']=$data['notify_popup_name'];
						$popupData['notify_popup_color']=$data['notify_popup_color'];
						$popupData['notify_popup_size_w']=$data['notify_popup_size_w'];
						$popupData['notify_popup_size_h']=$data['notify_popup_size_h'];

						if(isset($_FILES['notify_popup_icon']['name']) && $_FILES['notify_popup_icon']['name']!=""){
							$filext=end(explode('.', $_FILES['notify_popup_icon']['name']));
							$filename=time().'_icon.'.$filext;
							if(move_uploaded_file($_FILES['notify_popup_icon']['tmp_name'], WP_CONTENT_DIR.'/wp_u_pop/'.$filename)){
								if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$rowData->notify_popup_icon)){
									@unlink(WP_CONTENT_DIR.'/wp_u_pop/'.$rowData->notify_popup_icon);
								}
								$popupData['notify_popup_icon']=$filename;
							}
						}

						if(isset($_FILES['notify_popup_user_image']['name']) && $_FILES['notify_popup_user_image']['name']!=""){
							$filext=end(explode('.', $_FILES['notify_popup_user_image']['name']));
							$filename=time().'_user_image.'.$filext;
							if(move_uploaded_file($_FILES['notify_popup_user_image']['tmp_name'], WP_CONTENT_DIR.'/wp_u_pop/'.$filename)){
								if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$rowData->notify_popup_user_image)){
									@unlink(WP_CONTENT_DIR.'/wp_u_pop/'.$rowData->notify_popup_user_image);
								}
								$popupData['notify_popup_user_image']=$filename;
							}
						}
						if(isset($_FILES['share_on_pinterest']['name']) && $_FILES['share_on_pinterest']['name']!=""){
							$filext=end(explode('.', $_FILES['share_on_pinterest']['name']));
							$filename=time().'_pinterest.'.$filext;
							if(move_uploaded_file($_FILES['share_on_pinterest']['tmp_name'], WP_CONTENT_DIR.'/wp_u_pop/'.$filename)){
								if(is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$rowData->share_on_pinterest)){
									@unlink(WP_CONTENT_DIR.'/wp_u_pop/'.$rowData->share_on_pinterest);
								}
								$popupData['share_on_pinterest']=$filename;
							}
						}
						$popupData['onclose_popup_message']=$data['onclose_popup_message'];
						$popupData['custom_message']=$data['custom_message'];
						$popupData['activate_no_close_message']=(isset($data['activate_no_close_message'])?$data['activate_no_close_message']:0);
						$popupData['facebook_like']=(isset($data['facebook_like'])?$data['facebook_like']:0);
						$popupData['share_on_twitter']=$data['share_on_twitter'];
						$popupData['notify_popup_commented_by']=$data['notify_popup_commented_by'];
						$popupData['notify_popup_text']=$data['notify_popup_text'];
						$popupData['popup_size']=$data['popup_size'];
						$popupData['updated_date']=date('Y-m-d H:i:s');
						$wpdb->update($this->wp_u_pop_table, $popupData, array('id'=>$data['editid']));
						update_option('facebook_app_id',$data['facebook_app_id']);
					}
				break;
			}
		}
		function wpupopAdminCss(){
			wp_enqueue_style('admincss',plugins_url(basename(dirname(__FILE__)).'/wp_u_pop_admin.css'));
			wp_enqueue_style('customcolorcss',plugins_url(basename(dirname(__FILE__)).'/colorpicker.css'));
			wp_enqueue_script('customcolorpicker',plugins_url(basename(dirname(__FILE__)).'/js/colorpicker.js'),array('jquery'));
			wp_enqueue_script('adminjs',plugins_url(basename(dirname(__FILE__)).'/js/custom.js'),array('customcolorpicker'));

		}
		function wpupopCreateMenu(){
			$menu_page = add_menu_page(__('WP U POP','wp_u_pop'), __('WP U POP','wp_u_pop'), 'manage_options', 'wp-u-pop',array($this,'wpupopPageConfigure'));
		}
		function wpupopPageConfigure(){
			global $wpdb;
			?><div class="wrap">
				<h2><?php _e('Popup Settings','wp_u_pop');?></h2>
				<?php if(false!==($msg=get_transient('popup_message')) && $msg){
					echo '<div id="message" class="updated below-h2"><p>'.$msg.'</p></div>';
					delete_transient('popup_message');
				}?>
				<?php
					if(isset($_REQUEST['action']) && $_REQUEST['action']=='editpopup' && intval($_REQUEST['id'])){
						$popupData=$wpdb->get_row("SELECT * FROM ".$this->wp_u_pop_table." WHERE id=".$_REQUEST['id']);
						$this->WPPOUPSettingsForm('edit',$popupData);
					}else{
						$this->WPPOUPSettingsForm('add');
					}
				?>
			</div>
			<?php $popupDatas=$wpdb->get_results("SELECT * FROM ".$this->wp_u_pop_table);?>
			<div class="wrap">
				<h2><?php _e('Popup Lists','wp_u_pop');?></h2>
				<table class="wp-list-table widefat fixed posts">
					<thead>
					<tr>
						<th><?php _e('Popup Name','wp_u_pop');?></th>
						<th><?php _e('Short Code','wp_u_pop');?></th>
						<th><?php _e('Stop','wp_u_pop')?></th>
						<th><?php _e('Action','wp_u_pop');?></th>
					</tr>
					</thead>
					<tbody>
						<?php foreach ($popupDatas as $pData){?>
							<tr>
								<td><?php echo $pData->notify_popup_name;?></td>
								<td><?php echo $pData->popup_shortcode;?></td>
								<td>
									<?php if($pData->popup_active==1){?>
										<a href="<?php echo admin_url().'admin.php?page=wp-u-pop&action=popupstop&id='.$pData->id;?>"><?php _e('Stop','wp_u_pop');?></a>
									<?php }else{?>
										<a href="<?php echo admin_url().'admin.php?page=wp-u-pop&action=popupstart&id='.$pData->id;?>"><?php _e('Start','wp_u_pop');?></a>
									<?php }?>
								</td>
								<td>
									<a href="<?php echo admin_url().'admin.php?page=wp-u-pop&action=editpopup&id='.$pData->id;?>"><?php _e('Edit','wp_u_pop');?></a>
									&nbsp;|&nbsp;<a href="<?php echo admin_url().'admin.php?page=wp-u-pop&action=deletepopup&id='.$pData->id;?>"><?php _e('Delete','wp_u_pop');?></a>
								</td>
							</tr>
						<?php }?>
					</tbody>
					<tfoot>
						<tr>
							<th><?php _e('Popup Name','wp_u_pop');?></th>
							<th><?php _e('Short Code','wp_u_pop');?></th>
							<th><?php _e('Stop','wp_u_pop')?></th>
							<th><?php _e('Action','wp_u_pop');?></th>
						</tr>
					</tfoot>
				</table>
			</div>
			<?php
		}
		function WPPOUPSettingsForm($action,$data=array()){
			$settings=array(
				'wpautop' => true,
				'media_buttons' => true,
				'textarea_name' =>'notify_popup_text',
				'textarea_rows' => get_option('default_post_edit_rows', 15),
				'tabindex' => '',
				'editor_css' => '',
				'editor_class' => '',
				'teeny' => false,
				'dfw' => false,
				'tinymce' => true,
				'quicktags' => true
			);
			?>
				<form action="" method="post" id="popup_form" enctype="multipart/form-data">
				<?php if($action=='edit'){?>
					<input type="hidden" name="editid" value="<?php echo $data->id;?>" id="editid">
				<?php }?>
				<table class="wp-list-table widefat fixed posts wpu-popup-settings">
					<tr>
						<th><?php _e('Active The Plugin','wp_u_pop');?></th>
						<td><input type="checkbox" name="active_the_plugin" id="active_the_plugin" value="1" <?php if($data->active_the_plugin==1){?> checked="checked"<?php }?>></td>
					</tr>
					<tr>
						<th><?php _e('Active For Posts','wp_u_pop');?></th>
						<td><input type="checkbox" name="active_for_posts" id="active_for_posts" value="1" <?php if($data->active_for_posts==1){?> checked="checked"<?php }?>></td>
					</tr>
					<tr>
						<th><?php _e('Active For Pages','wp_u_pop');?></th>
						<td><input type="checkbox" name="active_for_pages" id="active_for_pages" value="1" <?php if($data->active_for_pages==1){?> checked="checked"<?php }?>></td>
					</tr>
                    <tr>
						<th><?php _e('Vertical','wp_u_pop');?></th>
						<td>
							<input type="radio" name="vertical_align" id="vertical_align_top" value="top" <?php if($data->vertical_align=='top'){?> checked="checked"<?php }?>>&nbsp;<?php _e('Top','wp_u_pop');?>
							&nbsp;&nbsp;<input type="radio" name="vertical_align" id="vertical_align_middle" value="middle" <?php if($data->vertical_align=='middle'){?> checked="checked"<?php }?>>&nbsp;<?php _e('Middle','wp_u_pop');?>
							&nbsp;&nbsp;<input type="radio" name="vertical_align" id="vertical_align_bottom" value="bottom" <?php if($data->vertical_align=='bottom'){?> checked="checked"<?php }?>>&nbsp;<?php _e('Bottom','wp_u_pop');?>
						</td>
					</tr>
					<tr>
						<th><?php _e('Horizontal','wp_u_pop');?></th>
						<td>
							<input type="radio" name="horizontal_align" id="horizontal_align_left" value="left" <?php if($data->horizontal_align=='left'){?> checked="checked"<?php }?>>&nbsp;<?php _e('Left','wp_u_pop');?>
							&nbsp;&nbsp;<input type="radio" name="horizontal_align" id="horizontal_align_center" value="center" <?php if($data->horizontal_align=='center'){?> checked="checked"<?php }?>>&nbsp;<?php _e('Center','wp_u_pop');?>
							&nbsp;&nbsp;<input type="radio" name="horizontal_align" id="horizontal_align_right" value="right" <?php if($data->horizontal_align=='right'){?> checked="checked"<?php }?>>&nbsp;<?php _e('Right','wp_u_pop');?>
						</td>
					</tr>
                    <tr>
                        <th><?php _e('Popup Size','wp_u_pop');?></th>
                        <td>
                            <select name="popup_size" id="popup_size" class="wpu_selectbox">
                                <option value=""><?php _e('Select Size','wp_u_pop');?></option>
                                <option value="small" <?php selected('small',$data->popup_size,true);?>><?php _e('Small','wp_u_pop');?></option>
                                <option value="medium" <?php selected('medium',$data->popup_size,true);?>><?php _e('Medium','wp_u_pop');?></option>
                                <option value="large" <?php selected('large',$data->popup_size,true);?>><?php _e('Large','wp_u_pop');?></option>
                                <option value="custom" <?php selected('custom',$data->popup_size,true);?>><?php _e('Custom','wp_u_pop');?></option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" align="left" valign="top" id="size_section" style="display:none;">
                        	<table style="width: 100%; text-align: left;border:none;">
                            	<tr>
                                    <th style="border:none;"><?php _e('Size','wp_u_pop');?></th>
                                    <td style="border:none;"><input type="text" name="notify_popup_size_w" id="notify_popup_size_w" class="wpu_sizebox" value="<?php echo $data->notify_popup_size_w;?>">&nbsp;<?php _e('Width','wp_u_pop');?>
                                        &nbsp;&nbsp;<input type="text" name="notify_popup_size_h" id="notify_popup_size_h" class="wpu_sizebox" value="<?php echo $data->notify_popup_size_h;?>">&nbsp;<?php _e('Height','wp_u_pop');?>
                                    </td>
                               </tr>
                           </table>
                         </td>
					</tr>
					<tr>
						<th><?php _e('Timed Popup','wp_u_pop');?></th>
						<td>
							<select name="timed_popup_second" id="timed_popup_second">
								<option value="0">Second</option>
								<?php for ($i=1;$i<=60;$i++){?>
									<option value="<?php echo $i;?>" <?php selected($i,$data->timed_popup_second,true);?>><?php echo $i;?></option>
								<?php }?>
							</select>
							<select name="timed_popup_minute" id="timed_popup_minute">
								<option value="0">Minute</option>
								<?php for ($i=1;$i<=60;$i++){?>
									<option value="<?php echo $i;?>" <?php selected($i,$data->timed_popup_minute,true);?>><?php echo $i;?></option>
								<?php }?>
							</select>
							<input type="radio" id="timed_popup_active" name="timed_popup_active" value="timed_popup_active" <?php if($data->timed_popup_active==1){?> checked="checked"<?php }?>>
							&nbsp;<?php _e('Active','wp_u_pop');?>
						</td>
					</tr>
					<tr>
						<th><?php _e('On Action Popup','wp_u_pop');?></th>
						<td><input type="radio" name="timed_popup_active" id="on_action_popup" value="on_action_popup" <?php if($data->on_action_popup==1){?> checked="checked"<?php }?>></td>
					</tr>
					<tr>
						<td colspan="2" align="left" id="onclosepopupmessagebox"  style="display:none;">
							<table style="width: 100%; text-align: left;">
								<tr>
									<th style="width: 19%;"><?php _e('Close Popup Message','wp_u_pop');?></th>
									<td><textarea name="onclose_popup_message" id="onclose_popup_message" class="wpu_textarea"><?php echo $data->onclose_popup_message;?></textarea></td>
								</tr>
							</table>
						</td>
					</tr>
				   	<tr>
    					<th><?php _e('Name','wp_u_pop');?></th>
                        <td><input type="text" name="notify_popup_name" id="notify_popup_name" class="wpu_textbox" value="<?php echo $data->notify_popup_name;?>"></td>
					</tr>
                    <tr>
                    	<th><?php _e('Color','wp_u_pop');?></th>
						<td>
                        	<div id="notify_popup_color_picker" class="colorSelector"><div></div></div>&nbsp;&nbsp;
                            <input type="text" name="notify_popup_color" id="notify_popup_color" class="wpu_colorbox" value="<?php echo $data->notify_popup_color;?>">
						</td>
					</tr>

                    <tr>
                    	<th><?php _e('Icon','wp_u_pop');?></th>
                        <td>
                        	<input type="file" name="notify_popup_icon" id="notify_popup_icon">
                           	<?php if($action=='edit' && is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$data->notify_popup_icon)){?>
                        		&nbsp;&nbsp;<img alt="Icon" src="<?php echo WP_CONTENT_URL.'/wp_u_pop/'.$data->notify_popup_icon;?>" width="50" height="50">
                            <?php }?>
						</td>
                     </tr>
                     <tr>
                     	<th><?php _e('User Image','wp_u_pop');?></th>
                     	<td>
		                     <input type="file" name="notify_popup_user_image" id="notify_popup_user_image">
		                     <?php if($action=='edit' && is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$data->notify_popup_user_image)){?>
		                     &nbsp;&nbsp;<img alt="User" src="<?php echo WP_CONTENT_URL.'/wp_u_pop/'.$data->notify_popup_user_image;?>" width="50" height="50">
		                     <?php }?>
                    	</td>
                     </tr>
                     <tr>
	                     <th><?php _e('Commented By','wp_u_pop');?></th>
	                     <td><input type="text" name="notify_popup_commented_by" id="notify_popup_commented_by" class="wpu_textbox" value="<?php echo $data->notify_popup_commented_by;?>"></td>
					</tr>
                    <tr>
	                    <th><?php _e('Text','wp_u_pop');?></th>
	                    <td>
                        <?php wp_editor(stripslashes($data->notify_popup_text),'notify_popup_text',$settings);?>
                        </td>
                    </tr>
                    <tr>
                    	<th><?php _e('Activate No Close Message','wp_u_pop');?></th>
                        <td>
                        	<input type="radio" name="activate_no_close_message" id="activate_no_close_message_yes" value="1" <?php if($data->activate_no_close_message==1){ echo 'checked="checked"';}?> />&nbsp;<?php _e('Yes','wp_u_pop');?>&nbsp;&nbsp;&nbsp;
                        	<input type="radio" name="activate_no_close_message" id="activate_no_close_message_no" value="0" <?php if($data->activate_no_close_message==0){ echo 'checked="checked"';}?>/>&nbsp;<?php _e('No','wp_u_pop');?>
                        </td>
                    </tr>
                    <tr>
                    	<td colspan="2" align="left" style="display:none;" id="social_sharing">
                        	<table style="width: 100%; text-align: left; border:none;">
                            	<tr>
                                	<th style="border:none;"><?php _e('Custom Message','wp_u_pop');?></th>
                                    <td style="border:none;"><textarea name="custom_message" id="custom_message" class="wpu_textarea"><?php echo $data->custom_message;?></textarea></td>
                                </tr>
                            	<tr>
                                	<th style="border:none;"><?php _e('Display Facebook Like','wp_u_pop');?></th>
                                    <td style="border:none;"><input type="checkbox" name="facebook_like" id="facebook_like" value="1" <?php if($data->facebook_like==1){ echo 'checked="checked"';}?>/></td>
                                </tr>
                                <tr>
                                	<th style="border:none;"><?php _e('Facebook APP ID','wp_u_pop');?></th>
                                    <td><input type="text" name="facebook_app_id" id="facebook_app_id" class="wpu_textbox" value="<?php echo get_option('facebook_app_id')?>"></td>
                                </tr>
                                <tr>
                                	<th style="border:none;"><?php _e('Share on Twitter','wp_u_pop');?></th>
                                    <td style="border:none;"><textarea name="share_on_twitter" id="share_on_twitter" class="wpu_textarea"><?php echo $data->share_on_twitter;?></textarea></td>
                                </tr>
                                 <tr>
                                    <th style="border:none;"><?php _e('Share On Pinterest','wp_u_pop');?></th>
                                    <td style="border:none;">
                                        <input type="file" name="share_on_pinterest" id="share_on_pinterest">
                                        <?php if($action=='edit' && is_file(WP_CONTENT_DIR.'/wp_u_pop/'.$data->share_on_pinterest)){?>
                                            &nbsp;&nbsp;<img alt="Icon" src="<?php echo WP_CONTENT_URL.'/wp_u_pop/'.$data->share_on_pinterest;?>" width="50" height="50">
                                        <?php }?>
                                    </td>
                                 </tr>
                            </table>
                        </td>
                    </tr>
                  	<tr>
						<td>&nbsp;</td>
						<td>
							<input type="submit" name="save_popup_setting" id="save_popup_setting" value="<?php if($action=='edit'){ echo 'Update';}else{ echo 'Save';}?>" class="button button-primary button-large">
                            <?php if($action=='edit'){?>
                            <input type="button" name="cancel" id="cancel" value="Cancel" class="button button-primary button-large" onclick="javascript:history.back();">
                            <?php }?>
						</td>
					</tr>

				</table>
				</form>
			<?php
		}
		function wpupopInstall(){
			global $wpdb;
			if(!is_dir(WP_CONTENT_DIR.'/wp_u_pop')){
				mkdir(WP_CONTENT_DIR.'/wp_u_pop');
				chmod(WP_CONTENT_DIR.'/wp_u_pop', 0755);
			}
			$sql="CREATE TABLE IF NOT EXISTS $this->wp_u_pop_table (
			  `id` int(11) NOT NULL AUTO_INCREMENT,
			  `active_the_plugin` tinyint(4) NOT NULL,
			  `active_for_posts` tinyint(4) NOT NULL,
			  `active_for_pages` tinyint(4) NOT NULL,
			  `timed_popup_second` int(11) NOT NULL,
			  `timed_popup_minute` int(11) NOT NULL,
			  `timed_popup_active` tinyint(4) NOT NULL,
			  `on_action_popup` tinyint(4) NOT NULL,
			  `notify_popup_name` varchar(255) NOT NULL,
			  `notify_popup_color` varchar(255) NOT NULL,
			  `notify_popup_size_w` int(11) NOT NULL,
			  `notify_popup_size_h` int(11) NOT NULL,
			  `notify_popup_icon` varchar(255) NOT NULL,
			  `notify_popup_user_image` varchar(255) NOT NULL,
			  `notify_popup_commented_by` varchar(255) NOT NULL,
			  `notify_popup_text` text NOT NULL,
			  `popup_active` tinyint(4) NOT NULL,
			  `created_date` datetime NOT NULL,
			  `updated_date` datetime NOT NULL,
			  `popup_shortcode` text NOT NULL,
			  `onclose_popup_message` text NOT NULL,
			  `vertical_align` varchar(255) NOT NULL,
			  `horizontal_align` varchar(255) NOT NULL,
			  `activate_no_close_message` tinyint(4) NOT NULL,
			  `custom_message` text NOT NULL,
			  `facebook_like` tinyint(4) NOT NULL,
			  `share_on_twitter` text NOT NULL,
			  `share_on_pinterest` text NOT NULL,
			  `popup_size` varchar(255) NOT NULL,
			  PRIMARY KEY (`id`)
			);";
			$wpdb->query($sql);
		}
	}
}
if(class_exists('wpupop')){
	$wpupop=new wpupop();
	register_activation_hook(__FILE__, array(&$wpupop,'wpupopInstall'));
	register_uninstall_hook(__FILE__, 'wpupopUninsall');

	function wpupopUninsall(){
		global $wpdb;
		$wpupop=new wpupop();
		$wpdb->query("DROP TABLE ".$wpupop->wp_u_pop_table);
		if(is_dir(WP_CONTENT_DIR.'/wp_u_pop')){
			rmdir(WP_CONTENT_DIR.'/wp_u_pop');
		}
	}
}